# Uses of Class
ij.process.FloatProcessor

Packages that use FloatProcessor
Package
Description
ij.plugin.filter
ij.process

## Uses of FloatProcessor in ij.plugin.filter

Methods in ij.plugin.filter that return FloatProcessor
Modifier and Type
Method
Description
`FloatProcessor`
EDM.`makeFloatEDM(ImageProcessor ip, int backgroundValue, boolean edgesAreBackground)`
Creates the Euclidian Distance Map of a (binary) byte image.
Methods in ij.plugin.filter with parameters of type FloatProcessor
Modifier and Type
Method
Description
`void`
GaussianBlur.`blur1Direction(FloatProcessor ip, double sigma, double accuracy, boolean xDirection, int extraLines)`
Blur an image in one direction (x or y) by a Gaussian, using multiple threads on multiprocessor machines
`void`
GaussianBlur.`blurFloat(FloatProcessor ip, double sigmaX, double sigmaY, double accuracy)`
Gaussian Filtering of a FloatProcessor.
`void`
Convolver.`convolveFloat1D(FloatProcessor ip, float[] kernel, int kw, int kh)`
Convolves the image `ip` with a kernel of width `kw` and height `kh`.
`void`
Convolver.`convolveFloat1D(FloatProcessor ip, float[] kernel, int kw, int kh, double scale)`
Convolves the image `ip` with a kernel of width `kw` and height `kh`.
`void`
UnsharpMask.`sharpenFloat(FloatProcessor fp, double sigma, float weight)`
Unsharp Mask filtering of a float image.

## Uses of FloatProcessor in ij.process

Subclasses of FloatProcessor in ij.process
Modifier and Type
Class
Description
`class`
`FHT`
This class contains a Java implementation of the Fast Hartley Transform.
Methods in ij.process that return FloatProcessor
Modifier and Type
Method
Description
`FloatProcessor`
ImageProcessor.`convertToFloatProcessor()`
Returns a 32-bit float version of this image as a FloatProcessor.
`FloatProcessor`
ColorProcessor.`getBrightness()`
Returns brightness as a FloatProcessor.
`FloatProcessor`
FHT.`getRawPowerSpectrum()`
Returns the unscaled 32-bit power spectrum.
`FloatProcessor`
ByteProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 255).
`FloatProcessor`
ColorProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with one color channel of the image.
`FloatProcessor`
FloatProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns this FloatProcessor.
`abstract FloatProcessor`
ImageProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the image or one color channel thereof.
`FloatProcessor`
ShortProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 65535).
`FloatProcessor[]`
ByteProcessor.`toFloatProcessors()`
Methods in ij.process with parameters of type FloatProcessor
Modifier and Type
Method
Description
`void`
ColorProcessor.`setBrightness(FloatProcessor fp)`
Updates the brightness using the pixels in the specified FloatProcessor).
`void`
ByteProcessor.`setFromFloatProcessors(FloatProcessor[] fp)`
`void`
ByteProcessor.`setPixels(int channelNumber, FloatProcessor fp)`
Sets the pixels from a FloatProcessor, no scaling.
`void`
ColorProcessor.`setPixels(int channelNumber, FloatProcessor fp)`
Sets the pixels of one color channel from a FloatProcessor.
`void`
FloatProcessor.`setPixels(int channelNumber, FloatProcessor fp)`
Sets the pixels, and mininvalid input: '&max' values from a FloatProcessor.
`abstract void`
ImageProcessor.`setPixels(int channelNumber, FloatProcessor fp)`
Sets the pixels (of one color channel for RGB images) from a FloatProcessor.
`void`
ShortProcessor.`setPixels(int channelNumber, FloatProcessor fp)`
Sets the pixels from a FloatProcessor, no scaling.
`FloatProcessor`
ByteProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 255).
`FloatProcessor`
ColorProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with one color channel of the image.
`FloatProcessor`
FloatProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns this FloatProcessor.
`abstract FloatProcessor`
ImageProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the image or one color channel thereof.
`FloatProcessor`
ShortProcessor.`toFloat(int channelNumber, FloatProcessor fp)`
Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 65535).
Constructors in ij.process with parameters of type FloatProcessor
Modifier
Constructor
Description
``
`FloatBlitter(FloatProcessor ip)`
Constructs a FloatBlitter from a FloatProcessor.